> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/particleemittershape.md).

# ParticleEmitterShape

## Overview

ParticleEmitterShape는 파티클이 방출되는 영역의 형상을 제어하기 위해 파티클 이미터의 모양을 정의하는 Enum입니다.

ParticleEmitter의 Shape 속성에서 사용되며, 파티클이 어떤 형상의 영역 내에서 생성될지를 지정합니다.

## Items

| Name     | Value | Description                          |
| -------- | ----- | ------------------------------------ |
| Box      | 0     | 파티클이 직사각형 박스 형태의 영역 내에서 방출됩니다.       |
| Sphere   | 1     | 파티클이 구 형태의 영역 내부나 표면에서 방출됩니다.        |
| Cylinder | 2     | 파티클이 원통 형태의 영역 내부나 표면에서 방출됩니다.       |
| Disc     | 3     | 파티클이 평평한 원반 형태의 영역 내부나 가장자리에서 방출됩니다. |

## See also

{% content-ref url="/pages/4KtiWoXxEXbxn7sobheZ" %}
[ParticleEmitter](/korean/development/api-reference/classes/particleemitter.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/particleemittershape.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
